Bug 1179642 - [abrt] libreoffice-core: SvTreeListEntry::GetUserData(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: SvTreeListEntry::GetUserData(): soffice.bin killed b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2b3d082f9630cb90f00d0527ac9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-07 09:21 UTC by Wil Hepworth
Modified: 2015-02-22 06:04 UTC (History)
7 users (show)

Fixed In Version: libreoffice-4.3.6.2-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-22 06:04:40 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (51.62 KB, text/plain)
2015-01-07 09:21 UTC, Wil Hepworth
no flags Details
File: cgroup (190 bytes, text/plain)
2015-01-07 09:21 UTC, Wil Hepworth
no flags Details
File: core_backtrace (25.16 KB, text/plain)
2015-01-07 09:21 UTC, Wil Hepworth
no flags Details
File: dso_list (25.46 KB, text/plain)
2015-01-07 09:21 UTC, Wil Hepworth
no flags Details
File: environ (1.63 KB, text/plain)
2015-01-07 09:21 UTC, Wil Hepworth
no flags Details
File: exploitable (82 bytes, text/plain)
2015-01-07 09:21 UTC, Wil Hepworth
no flags Details
File: limits (1.29 KB, text/plain)
2015-01-07 09:21 UTC, Wil Hepworth
no flags Details
File: maps (118.21 KB, text/plain)
2015-01-07 09:21 UTC, Wil Hepworth
no flags Details
File: open_fds (629 bytes, text/plain)
2015-01-07 09:21 UTC, Wil Hepworth
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2015-01-07 09:21 UTC, Wil Hepworth
no flags Details
File: var_log_messages (192 bytes, text/plain)
2015-01-07 09:21 UTC, Wil Hepworth
no flags Details

Description Wil Hepworth 2015-01-07 09:21:33 UTC
Description of problem:
Launched LibreOffice and attempted to open existing spreadsheet - BANG!

Version-Release number of selected component:
libreoffice-core-4.3.4.1-10.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc --splash-pipe=5
crash_function: SvTreeListEntry::GetUserData
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.17.7-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SvTreeListEntry::GetUserData at /usr/src/debug/libreoffice-4.3.4.1/svtools/source/contnr/treelistentry.cxx:221
 #1 ScPivotLayoutTreeList::InsertEntryForSourceTarget at /usr/src/debug/libreoffice-4.3.4.1/sc/source/ui/dbgui/PivotLayoutTreeList.cxx:84
 #2 ScPivotLayoutTreeListBase::GetFocus at /usr/src/debug/libreoffice-4.3.4.1/sc/source/ui/dbgui/PivotLayoutTreeListBase.cxx:126
 #3 Window::ImplGrabFocus at /usr/src/debug/libreoffice-4.3.4.1/vcl/source/window/window.cxx:3288
 #4 Window::ImplControlFocus at /usr/src/debug/libreoffice-4.3.4.1/vcl/source/window/dlgctrl.cxx:484
 #5 Window::ImplDlgCtrl at /usr/src/debug/libreoffice-4.3.4.1/vcl/source/window/dlgctrl.cxx:910
 #6 Window::Notify at /usr/src/debug/libreoffice-4.3.4.1/vcl/source/window/window.cxx:4240
 #7 SystemWindow::Notify at /usr/src/debug/libreoffice-4.3.4.1/vcl/source/window/syswin.cxx:107
 #8 Dialog::Notify at /usr/src/debug/libreoffice-4.3.4.1/vcl/source/window/dialog.cxx:570
 #9 SfxModelessDialog::Notify at /usr/src/debug/libreoffice-4.3.4.1/sfx2/source/dialog/basedlgs.cxx:378

Comment 1 Wil Hepworth 2015-01-07 09:21:37 UTC
Created attachment 977159 [details]
File: backtrace

Comment 2 Wil Hepworth 2015-01-07 09:21:38 UTC
Created attachment 977160 [details]
File: cgroup

Comment 3 Wil Hepworth 2015-01-07 09:21:40 UTC
Created attachment 977161 [details]
File: core_backtrace

Comment 4 Wil Hepworth 2015-01-07 09:21:41 UTC
Created attachment 977162 [details]
File: dso_list

Comment 5 Wil Hepworth 2015-01-07 09:21:42 UTC
Created attachment 977163 [details]
File: environ

Comment 6 Wil Hepworth 2015-01-07 09:21:43 UTC
Created attachment 977164 [details]
File: exploitable

Comment 7 Wil Hepworth 2015-01-07 09:21:45 UTC
Created attachment 977165 [details]
File: limits

Comment 8 Wil Hepworth 2015-01-07 09:21:47 UTC
Created attachment 977166 [details]
File: maps

Comment 9 Wil Hepworth 2015-01-07 09:21:48 UTC
Created attachment 977167 [details]
File: open_fds

Comment 10 Wil Hepworth 2015-01-07 09:21:50 UTC
Created attachment 977168 [details]
File: proc_pid_status

Comment 11 Wil Hepworth 2015-01-07 09:21:51 UTC
Created attachment 977169 [details]
File: var_log_messages

Comment 12 Caolan McNamara 2015-01-07 09:38:16 UTC
and can you attach a sample spreadsheet that reproduces this crash ?

Comment 13 Wil Hepworth 2015-01-19 12:16:57 UTC
I cannot supply this document as it contains confidential information.

Comment 14 Caolan McNamara 2015-01-24 20:58:23 UTC
I know this will is a NULL pEntry from GetCurEntry

Comment 15 Fedora Update System 2015-02-02 10:43:09 UTC
libreoffice-4.3.5.2-12.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.5.2-12.fc21

Comment 16 Fedora Update System 2015-02-03 12:00:59 UTC
Package libreoffice-4.3.5.2-12.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.3.5.2-12.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1572/libreoffice-4.3.5.2-12.fc21
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2015-02-04 09:25:35 UTC
libreoffice-4.3.6.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.6.2-1.fc21

Comment 18 Fedora Update System 2015-02-09 07:33:06 UTC
libreoffice-4.3.6.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.6.2-2.fc21

Comment 19 Fedora Update System 2015-02-19 11:21:18 UTC
libreoffice-4.3.6.2-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.6.2-3.fc21

Comment 20 Fedora Update System 2015-02-22 06:04:40 UTC
libreoffice-4.3.6.2-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.